# CARD_TOKEN_LIFECYCLE

A push provisioning token has been created or updated for a customer's card.

Endpoint: POST card_token_lifecycle
Version: 1.0

## Request fields (application/json):

  - `card_id` (string)
    The ID of the card associated with the token.
    Example: "8b48d56bdc1c091d9ab5547fe0e9511bmcrd"

  - `token_reference_id` (string)
    The unique reference ID of the token that was created.
    Example: "DNITHE382228352676336613"

  - `token_status` (string)
    The status of the token.
    Enum: "ACTIVE", "DEACTIVATED", "INACTIVE", "SUSPENDED"

  - `event_type` (string)
    The event type of the token's lifecycle.
    Enum: "TOKEN_CREATED", "TOKEN_STATUS_UPDATED", "TOKEN_ACTIVATION_STIP"

  - `message_reason` (string)
    Token's lifecycle event reason (from VISA's constantly changing message reason codes, e.g., TOKEN_CREATED).
    Enum: "CALL_CENTER_ACTIVATION", "CARDHOLDER_STEPUP_RESULT", "DEVICE_PROVISIONING_REPERSONALIZATION_RESULT", "DEVICE_PROVISIONING_RESULT", "LUK_REPLENISHMENT", "MOBILE_BANK_APP_ACTIVATION", "OTP_VERIFICATION_RESULT", "TOKEN_CREATED", "TOKEN_DEACTIVATED", "TOKEN_DEVICE_BINDING_REMOVED", "TOKEN_DEVICE_BINDING_RESULT", "TOKEN_EXPIRY_DATE_UPDATED", "TOKEN_RESUME", "TOKEN_SUSPEND", "TRUSTED_LISTING_ENROLLMENT_RESULT"

  - `client_wallet_account_id` (string)
    Unique 24-byte identifier for each instance of a [Android user, Google account] pair. Google computes the ID as a keyed hash of the Android user ID and the Google account ID. The key to this hash lives on Google's servers; the wallet ID is created during user setup as an RPC.
    Example: "Rwt3tJek_k1JxivcwbPHjKDk"

  - `wallet_type` (string)
    The type of the wallet.
    Enum: "APPLE", "GOOGLE", "SAMSUNG"

  - `pan_reference_id` (string)
    ID of the Primary Account Number (PAN) reference.
    Example: "V-3019278454673935797827"

  - `visa_pan_reference_id` (string)
    ID of the Primary Account Number (PAN) reference. Only appears in webhook notifications related to VISA cards. Deprecated in favor of pan_reference_id.
    Example: "V-3019278454673935797827"


## Response 200 fields
